Bug 217342 - mc crashes when there's no more free space in /tmp
mc crashes when there's no more free space in /tmp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On: 217159
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 04:42 EST by Jindrich Novy
Modified: 2013-07-02 19:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 04:36:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2006-11-27 04:42:17 EST
+++ This bug was initially created as a clone of Bug #217159 +++

Description of problem:
SSIA

Version-Release number of selected component (if applicable):
mc-4.6.1a-30.fc6

How reproducible:
Always

Steps to Reproduce:
1. occupy all space in /tmp (or other $TMPDIR)
2. run mc
  
Actual results:
mc starts looping and printing:
Cannot create temporary directory /tmp/mc-radek: No space left on device (28)
and after a while, it segfaults

Expected results:
A gentle error message? A 'light' mode without using /tmp?

Additional info:
As a matter of fact, I just wanted to use mc to clean things up and free some
space but it refused to start :(

Note You need to log in before you can comment on or make changes to this bug.